Get order detail
curl --request GET \
--url https://flash.definitive.fi/v1/orders/{orderId} \
--header 'x-definitive-api-key: <api-key>'import requests
url = "https://flash.definitive.fi/v1/orders/{orderId}"
headers = {"x-definitive-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-definitive-api-key': '<api-key>'}};
fetch('https://flash.definitive.fi/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"order": {
"orderId": "<string>",
"orderType": "market",
"side": "buy",
"status": "ORDER_STATUS_UNSPECIFIED",
"closeReason": "<string>",
"funderAddress": "<string>",
"recipientAddress": "<string>",
"integratorFeeBps": "<string>",
"tradeFeeBps": "<string>",
"targetAsset": {
"id": "<string>",
"name": "<string>",
"address": "<string>",
"ticker": "<string>",
"chain": {
"id": "<string>",
"name": "<string>",
"namespace": "<string>"
}
},
"contraAsset": {
"id": "<string>",
"name": "<string>",
"address": "<string>",
"ticker": "<string>",
"chain": {
"id": "<string>",
"name": "<string>",
"namespace": "<string>"
}
},
"qty": "<string>",
"filled": {
"targetAmount": "<string>",
"contraAmount": "<string>",
"averagePrice": "<string>",
"averageNotionalPrice": "<string>"
},
"limitNotionalPrice": "<string>",
"limitCrossPrice": "<string>",
"trigger": {
"triggerType": "upper",
"notionalPrice": "1800",
"crossPrice": "1800"
},
"brackets": [
{
"triggerType": "upper",
"notionalPrice": "1800",
"crossPrice": "1800"
}
],
"maxPriceImpact": "<string>",
"twapBucketCount": 123,
"placedAt": "2023-11-07T05:31:56Z",
"acceptedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2026-05-12T00:00:00Z",
"attachedBracket": {
"status": "pending_activation",
"bracketOrderId": "<string>",
"takeProfit": {
"notionalPrice": "<string>",
"crossPrice": "<string>",
"limitPrice": "<string>"
},
"stopLoss": {
"notionalPrice": "<string>",
"crossPrice": "<string>",
"limitPrice": "<string>"
},
"signedMaxFromAmount": "<string>",
"expiresAt": "<string>"
},
"sourceEntryOrderId": "<string>"
},
"fills": [
{
"status": "CHAIN_STATUS_UNSPECIFIED",
"notional": "<string>",
"venues": [
"<string>"
],
"filledAt": "2023-11-07T05:31:56Z",
"rootOrderId": "<string>",
"orderId": "<string>",
"parentOrderId": "<string>",
"transactionId": "<string>",
"fillPrice": "<string>",
"feeAmount": "<string>",
"feeTicker": "<string>",
"tradeFeeAmount": "<string>",
"networkFeeAmount": "<string>",
"integratorFeeAmount": "<string>",
"feeNotional": "<string>",
"tradeFeeNotional": "<string>",
"networkFeeNotional": "<string>",
"integratorFeeNotional": "<string>",
"contraAmount": "<string>",
"targetAmount": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}Trading REST
Get order detail
Fetch a single Flash order with its execution fills.
GET
/
orders
/
{orderId}
Get order detail
curl --request GET \
--url https://flash.definitive.fi/v1/orders/{orderId} \
--header 'x-definitive-api-key: <api-key>'import requests
url = "https://flash.definitive.fi/v1/orders/{orderId}"
headers = {"x-definitive-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-definitive-api-key': '<api-key>'}};
fetch('https://flash.definitive.fi/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"order": {
"orderId": "<string>",
"orderType": "market",
"side": "buy",
"status": "ORDER_STATUS_UNSPECIFIED",
"closeReason": "<string>",
"funderAddress": "<string>",
"recipientAddress": "<string>",
"integratorFeeBps": "<string>",
"tradeFeeBps": "<string>",
"targetAsset": {
"id": "<string>",
"name": "<string>",
"address": "<string>",
"ticker": "<string>",
"chain": {
"id": "<string>",
"name": "<string>",
"namespace": "<string>"
}
},
"contraAsset": {
"id": "<string>",
"name": "<string>",
"address": "<string>",
"ticker": "<string>",
"chain": {
"id": "<string>",
"name": "<string>",
"namespace": "<string>"
}
},
"qty": "<string>",
"filled": {
"targetAmount": "<string>",
"contraAmount": "<string>",
"averagePrice": "<string>",
"averageNotionalPrice": "<string>"
},
"limitNotionalPrice": "<string>",
"limitCrossPrice": "<string>",
"trigger": {
"triggerType": "upper",
"notionalPrice": "1800",
"crossPrice": "1800"
},
"brackets": [
{
"triggerType": "upper",
"notionalPrice": "1800",
"crossPrice": "1800"
}
],
"maxPriceImpact": "<string>",
"twapBucketCount": 123,
"placedAt": "2023-11-07T05:31:56Z",
"acceptedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2026-05-12T00:00:00Z",
"attachedBracket": {
"status": "pending_activation",
"bracketOrderId": "<string>",
"takeProfit": {
"notionalPrice": "<string>",
"crossPrice": "<string>",
"limitPrice": "<string>"
},
"stopLoss": {
"notionalPrice": "<string>",
"crossPrice": "<string>",
"limitPrice": "<string>"
},
"signedMaxFromAmount": "<string>",
"expiresAt": "<string>"
},
"sourceEntryOrderId": "<string>"
},
"fills": [
{
"status": "CHAIN_STATUS_UNSPECIFIED",
"notional": "<string>",
"venues": [
"<string>"
],
"filledAt": "2023-11-07T05:31:56Z",
"rootOrderId": "<string>",
"orderId": "<string>",
"parentOrderId": "<string>",
"transactionId": "<string>",
"fillPrice": "<string>",
"feeAmount": "<string>",
"feeTicker": "<string>",
"tradeFeeAmount": "<string>",
"networkFeeAmount": "<string>",
"integratorFeeAmount": "<string>",
"feeNotional": "<string>",
"tradeFeeNotional": "<string>",
"networkFeeNotional": "<string>",
"integratorFeeNotional": "<string>",
"contraAmount": "<string>",
"targetAmount": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}Authorizations
Your Definitive API key.
Path Parameters
Flash order ID.
Query Parameters
Funder wallet address that placed the order.
Minimum string length:
1